#!/usr/bin/env bash

# Please run after `bazel build package --config oss_linux -c opt`.

LIB_MOZC=/usr/lib/mozc
LIB_IBUS_MOZC=/usr/lib/ibus-mozc
SHARE_IBUS_COMPONENT=/usr/share/ibus/component
SHARE_IBUS_MOZC=/usr/share/ibus-mozc
BIN=/usr/bin

# Create directories.
mkdir -p $LIB_MOZC
mkdir -p $LIB_IBUS_MOZC
mkdir -p $SHARE_IBUS_MOZC

# Copy binaries
cp -f mozc_tool $LIB_MOZC
cp -f mozc_renderer $LIB_MOZC
cp -f mozc_server $LIB_MOZC
cp -f ibus_mozc $LIB_IBUS_MOZC/ibus-engine-mozc
#cp -f mozc_emacs_helper $BIN
cp -f mozc.xml $SHARE_IBUS_COMPONENT
unzip -o icons.zip -d $SHARE_IBUS_MOZC
##
